//
// Benchmark: creation of a binary table
//
// Giuseppe Vacanti, European Space Agency (1999 April 1)
//

#include <iostream>

#include <Tracer.h>
#include <param.h>
#include <errstr.h>
#include <Dal.h>
#include <StopWatch.h>

#include <ctime>

#include "bintable.h"

void bintable ()
{

  StopWatch sw;

  DataSet * set = dataSetServer->open("bintable.ds", Dal::Create);
  Table * tab = set->addTable("table", intParameter("nrows"));
  Column * col = tab->addColumn("column", Dal::Int32);
  ColumnData * ptr;
  ptr = col->data();
  int32 * c = ptr->int32Data();
  for(int i =0; i < intParameter("nrows"); i++) {
    c[i]=i;
  }
  delete ptr;
  dataSetServer->close(set);

  sw.stop();
  cout << "elapse: " << sw.elapsed()/CLOCKS_PER_SEC << endl;
}
