#! /usr/local/bin/perl
#
# string column
#
# [Wed Apr 14 16:45:58 1999] Giuseppe Vacanti
#
BEGIN { $| = 1; print "1..1\n"; }
use DAL;
use DAL::utils qw(setStringCell getStringCell);

my $nrows=128-34; # printable character range
my $f = "abc.ds";
my $ds = DAL::dataset->new(name => $f,
			   mode => $DAL::CREATE);
my $tb = $ds->addTable(name => 'TABLE',
		       nrows => $nrows);
my $co = $tb->addColumn(name => 'COLUMN',
			units => 'pixel',
			dimensions => [3],
			datatype => $DAL::STRING);
for ($i=0;$i<$nrows;$i++) {
    setStringCell($co, $i, chr($i+34));
}

die "no table\n" unless $ds->hasBlock(name => 'TABLE');
die "no column\n" unless $tb->hasColumn(name => 'COLUMN');

$ds->release();
$ds = DAL::dataset->new(name => $f, mode=> $DAL::READ); 
$tb = $ds->table(name => 'TABLE');
$co = $tb->column(name => 'COLUMN');
for ($i=0; $i< $tb->rows(); $i++) {
    die("mismatch at row $i - ",getStringCell($co,$i), "\n")
	unless getStringCell($co,$i) eq chr($i+34);
}
unlink $f;
print "ok 1\n";
